<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class TeamDescriptions extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
         Schema::create('team_descriptions', function (Blueprint $table) {
            $table->id();
            $table->string('name',250)->nullable();
            $table->string('job',250)->nullable();
           

            $table->unsignedBigInteger('team_id')->nullable();
            $table->unsignedBigInteger('language_id')->nullable();

            $table->foreign('team_id')->references('id')->on('teams');
            $table->foreign('language_id')->references('id')->on('languages');
            $table->index(['team_id', 'language_id']);

            // Set engine to InnoDB it's useful in join and constraint
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
